VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
VisiMath.VertexDescriptor Struct Reference

Structure used for the description of the vertex, containing list of the vertex elements. More...

List of all members.

## Public Member Functions
| VertexDescriptor (VertexElement[] elements, int bytesize, int padding)
bool | HasUsage (VertexElementUsage vu)
| Checks if vertex contains element with specified usage.
bool | HasNormal ()
| Checks if vertex has normal.
bool | HasColor ()
| Checks if vertex has color information.
bool | HasTexCoord ()
| Checks if vertex has texturecoordinations.
int | GetOffset (VertexElementUsage type)
| Returns offset for first element of specified element type.
int | GetOffset (VertexElementUsage type, out VertexElementFormat format, ref int useindex)
| Returns offset for the specified element type and information about the format.
int | GetOffset (VertexElementUsage type, out VertexElementFormat format)
| Returns offset for first element of specified element type and information about the format.
## Public Attributes
VertexElement[] | Elements
| All elements of the vertex.
int | SizeInBytes
| Size of the vertex structure in bytes.
int | PaddingSize
| Size of the padding.

## Detailed Description

Structure used for the description of the vertex, containing list of the vertex elements.

## Constructor & Destructor Documentation

VisiMath.VertexDescriptor.VertexDescriptor | ( | VertexElement[] | elements,
|  | int | bytesize,
|  | int | padding
| ) |  |

## Member Function Documentation

int VisiMath.VertexDescriptor.GetOffset | ( | VertexElementUsage | type | ) |

Returns offset for first element of specified element type.

Parameters:

  type | required element type

Returns:
  Offset in the vertex or -1 if not present

int VisiMath.VertexDescriptor.GetOffset | ( | VertexElementUsage | type,
|  | out VertexElementFormat | format
| ) |  |

Returns offset for first element of specified element type and information about the format.

Parameters:

  type | required element type
  format | will be filled with used format or VertexElementFormat.Unused if not found

Returns:
  Offset in the vertex or -1 if not present

int VisiMath.VertexDescriptor.GetOffset | ( | VertexElementUsage | type,
|  | out VertexElementFormat | format,
|  | ref int | useindex
| ) |  |

Returns offset for the specified element type and information about the format.

Parameters:

  type | requested element type
  format | will be filled with used format or VertexElementFormat.Unused if not found
  useindex | requested use index. if set to -1, will be replaced with use index of first encountered element

Returns:
  Offset in the vertex or -1 if not present

bool VisiMath.VertexDescriptor.HasColor | ( |  | ) |

Checks if vertex has color information.

Returns:

bool VisiMath.VertexDescriptor.HasNormal | ( |  | ) |

Checks if vertex has normal.

Returns:

bool VisiMath.VertexDescriptor.HasTexCoord | ( |  | ) |

Checks if vertex has texturecoordinations.

Returns:

bool VisiMath.VertexDescriptor.HasUsage | ( | VertexElementUsage | vu | ) |

Checks if vertex contains element with specified usage.

Parameters:

  vu | Type of the usage

Returns:
  True if vertex has specified element

## Member Data Documentation

VertexElement [] VisiMath.VertexDescriptor.Elements

All elements of the vertex.

int VisiMath.VertexDescriptor.PaddingSize

Size of the padding.

int VisiMath.VertexDescriptor.SizeInBytes

Size of the vertex structure in bytes.

The documentation for this struct was generated from the following file:

- VertexDescriptors.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events